org.apache.axiom.om.util

## Class LogOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.axiom.om.util.LogOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class LogOutputStream
      extends OutputStream

  LogOutputStream Writes to log.debug() Also counts the number of bytes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogOutputStream(org.apache.commons.logging.Log log, int limit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `long` | `getLength()`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogOutputStream

          public LogOutputStream(org.apache.commons.logging.Log log,
                                 int limit)

  - ### Method Detail

    - #### getLength

          public long getLength()

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] b)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

Copyright © The Apache Software Foundation. All Rights Reserved.